package strategy;

import game.Game;
import game.Strategy;
import game.Utility;
import java.util.Random;
import lemonade.LemonadeUtility;
//import static java.lang.Math.pow;

/* Author: Dustin Morrill
 * Date: August 25, 2010
 *
 * Agent description:
 * This is the opponent modelling component of my adaptive lemonade game agents.
 *
 */

public class Model {
    boolean is_constant;
    boolean is_random;
    boolean is_offensive;
    boolean is_defensive;

    public Model () {
        is_constant = false;
        is_random = false;
        is_offensive = false;
        is_defensive = false;
    }

    public void setIsConstant (boolean val) {
        is_constant = val;
    }

    public boolean getIsConstant () {
        return is_constant;
    }

    public void setIsRandom (boolean val) {
        is_random = val;
    }

    public boolean getIsRandom () {
        return is_random;
    }

    public void setIsOffensive (boolean val) {
        is_offensive = val;
    }

    public boolean getIsOffensive () {
        return is_offensive;
    }

    public void setIsDefensive (boolean val) {
        is_defensive = val;
    }

    public boolean getIsDefensive () {
        return is_defensive;
    }
}
