package results;
import java.io.File;
import java.io.IOException;
import java.util.Hashtable;
import java.util.Vector;


public class TestingSchapire {

  public static void main(String[] args) throws IOException{
    File file = new File("cleantournamentPart2and3.txt");
    File mappingFile = new File("mapping.txt");
    Vector<TripleResults> results = TripleResults.getResultsWithVariance(file,30);
    Hashtable<String,String> mapping = new Hashtable<String,String>();
    TripleResults.loadHashtable(mappingFile, mapping);
    TripleResults.translate(results, mapping);
    //KnockoutTable.removePlayer(results, "Pujara");
    //KnockoutTable.removePlayer(results, "Schapire");
    KnockoutTable.removePlayer(results, "Soton");
    //KnockoutTable.removePlayer(results, "Kuhlmann");
    
    
    String[] knockoutOrder = CalculateMeans.getRankedNames(results);
    System.out.println("Final ranking:");
    KnockoutTable.displayRanking(knockoutOrder, results);
    
  }
}
